Bug 222394 - HTS: USB test doesn't recognize front-panel USB connections
HTS: USB test doesn't recognize front-panel USB connections
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 19:27 EST by Sun Certifications
Modified: 2008-07-16 17:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 12:57:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-device baseline (165.35 KB, application/octet-stream)
2007-01-12 17:39 EST, Sun Certifications
no flags Details
hal-device with keyboard connected to front panel connection #1 (170.11 KB, application/octet-stream)
2007-01-12 17:40 EST, Sun Certifications
no flags Details
hal-device with keyboard connected to front panel connection #2 (170.11 KB, application/octet-stream)
2007-01-12 17:40 EST, Sun Certifications
no flags Details

  None (edit)
Description Sun Certifications 2007-01-11 19:27:51 EST
Description of problem:
USB test doesn't recognize front-panel USB connections

Version-Release number of selected component (if applicable):
hts-5.0-14

How reproducible:
Perform the USB test (4 ports are available on our X4600 - 2 in front and 2 in back)


Steps to Reproduce:
1. Perform the USB test
2. plug USB device into back (1st slot), remove when prompted
3. plug USB device into back (2nd slot), remove when prompted
4. plug USB device into either of the front port USB ports - the test doesn't
recognize that a device has been attached - yet I can use the keyboard I just
attached
  
Actual results:
device not found - insert a USB device and continue? yes/no


Expected results:
Device found and USB test to continue correctly


Additional info:
Comment 1 Greg Nichols 2007-01-12 14:42:18 EST
Could you supply the output of "hal-device" with undetected USB device
inserted?  What type of device is being used?

Thanks!
Comment 2 Sun Certifications 2007-01-12 17:39:23 EST
Created attachment 145491 [details]
hal-device baseline

hal-device baseline before standard SUN USB keyboard is attached
Comment 3 Sun Certifications 2007-01-12 17:40:28 EST
Created attachment 145492 [details]
hal-device with keyboard connected to front panel connection #1

hal-device with SUN USB keyboard connected to front panel connection #1
Comment 4 Sun Certifications 2007-01-12 17:40:52 EST
Created attachment 145493 [details]
hal-device with keyboard connected to front panel connection #2

hal-device with SUN USB keyboard connected to front panel connection #2
Comment 5 Sun Certifications 2007-01-12 17:43:28 EST
I checked the BIOS and found that the USB device was set to 1.1 only. I changed
the value to 1.1 and 2.0 and retested. Same results as initial bug report.
Comment 6 Greg Nichols 2007-01-15 13:32:10 EST
Fixed R16  
Comment 7 Sun Certifications 2007-01-19 16:29:46 EST
Same problem with hts-5.0-17.noarch.rpm - are the fixes in R16 included in this
RPM? Thanks
Comment 8 Greg Nichols 2007-01-19 20:04:39 EST
Yes, they are - re-opening.
Comment 9 Greg Nichols 2007-01-26 14:06:19 EST
Fixed R21.
Comment 10 Greg Nichols 2007-02-06 08:47:33 EST
Please verify this fix.

Thanks!
Comment 11 Sun Certifications 2007-02-06 12:50:06 EST
Verified as fixed - many thanks!
(tested on x4600)

Note You need to log in before you can comment on or make changes to this bug.